Bug 844 - rm 2012 lts ee rp1, kde proxy settings, not system proxy setting
: rm 2012 lts ee rp1, kde proxy settings, not system proxy setting
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 14:21 MSD by philippe.roubach
Modified: 2012-12-22 20:30 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description philippe.roubach 2012-10-05 14:21:05 MSD
Description of problem:


i use kde settings to set a proxy for system
i use manualy settings

then
i fill the template
then
apply
then
quit kde settings
then
restart the pc
then
i ckecked that in kde settongs proxy settings manual config is good
then
firefox configured to use system proxy, does not use it

if i use kde settings proxy settings "use system proxy .."
then
i use automaticaly detection
it displays

HTTP_PROXY,http_proxy,HTTPPROXY,httpproxy,PROXY,proxy
and
NO_PROXY,no_proxy

then
i ask to displau values
then
nothing is displayed
Comment 1 philippe.roubach 2012-10-05 15:06:54 MSD
rekonq can't access to internet.

i foundwhere is the pb :

we must use in proxy settings localhost.localdomain instead of localhost
then
it works

i assume  some alias localhost localhost.domain misses in network config
Comment 2 philippe.roubach 2012-10-05 17:11:46 MSD
where to put the alias
and
what is the syntax ?
Comment 3 Denis Silakov 2012-10-05 17:15:28 MSD
(In reply to comment #2)
> where to put the alias
> and
> what is the syntax ?

Normally in /etc/hosts you should have:
127.0.0.1               localhost.localdomain localhost
Comment 4 philippe.roubach 2012-10-05 17:20:50 MSD
i have this

# generated by drakconnect
127.0.0.1 localhost.localdomain localhost
::1 localhost6.localdomain6 localhost6
Comment 5 Denis Silakov 2012-10-05 17:25:36 MSD
Hm, then there should be some other place which affects rekonq, should dig deeper...
Comment 6 philippe.roubach 2012-10-06 12:44:31 MSD
an idea

use drakproxy
then
search the diff in /etc/

?

but how ?
Comment 7 Denis Silakov 2012-10-09 12:25:40 MSD
Can't find anything directly related to this issue in drakproxy code.

Btw, what do you have in /etc/hostname ?

And does the problem affect only rekonq or all the programs? E.g., does urpmi use the proxy you have set?
Comment 8 philippe.roubach 2012-10-09 12:41:32 MSD
this pb affects all the internet explorers.

i assume all app using proxy ?
Comment 9 Denis Silakov 2012-10-09 12:44:18 MSD
(In reply to comment #8)
> this pb affects all the internet explorers.
> 
> i assume all app using proxy ?

Different applications use different proxy configurations. Some of them use global variables (like 'http_proxy', 'ftp_proxy', etc.), KDE apps use KDE proxy settings, some programs have their own config files. It's hard to set/update all possible variants by a single tool...
Comment 10 philippe.roubach 2012-10-09 12:56:26 MSD
to summ up :

- with drakproxy, proxy settings is good
- with kde proxy settings, proxy setting is not good

i am not a techie to go further
then
i advise to keep drakproxy until kde proxy settings is fixed

an idea : a dev can explore the source of drakproxy according to know what drakproxy does.
Comment 11 philippe.roubach 2012-12-22 20:30:28 MSK
2012.1

no more pb